Subject: Re: bug#23389: segfault for non-root user

From: Myles English <[email-masked]>
Date: Fri, 29 Apr 2016 11:04:26 +0100

Ludo’,

Ludovic Courtès writes:

> Myles English <[email-masked]> skribis:
>
>> Just installed binary x86-64 nix on Arch Linux as per instructions here:
>>
>> http://www.gnu.org/software/guix/manual/guix.html#Binary-Installation
>>
>> The install for root when well and the hello sample package installed
>> fine.  Then I went to setup my user as described here:
>>
>> http://www.gnu.org/software/guix/manual/guix.html#Application-Setup
>>
>> but got a segfault at:
>>
>> $ guix package -i glibc-locales
>>
>> and in fact even just
>>
>> $ guix
>
> Is LD_LIBRARY_PATH or LD_PRELOAD set in your environment?

This was set:

LD_LIBRARY_PATH=/home/myles/GNUstep/Library/Libraries:/usr/lib

so I uninstalled GNUstep and rebooted, LD_LIBRARY_PATH is unset and this
works:

$ guix package -i glibc-locales

> What happens if you run:
>
>   env -i `type -P guix` --help

$ env -i `type -P guix` --help
zsh: bad option: -P
Usage: env [OPTION]... [-] [NAME=VALUE]... [COMMAND [ARG]...]
Set each NAME to VALUE in the environment and run COMMAND.

Mandatory arguments to long options are mandatory for short options too.
  -i, --ignore-environment  start with an empty environment
  -0, --null           end each output line with NUL, not newline
  -u, --unset=NAME     remove variable from the environment
      --help     display this help and exit
      --version  output version information and exit

A mere - implies -i.  If no COMMAND, print the resulting environment.

GNU coreutils online help: <http://www.gnu.org/software/coreutils/>
Full documentation at: <http://www.gnu.org/software/coreutils/env>
or available locally via: info '(coreutils) env invocation'

> What does “info files” say in GDB?

N/A

> Thank you for the bug report!

Thank you for the help!  'Bug' closed?

Myles

P.S. now firefox gives me a segfault, I think there are other issues here.